import {
  __name
} from "./chunk-INDHDMU3.mjs";

// src/badge.tsx
import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent, computed } from "vue";
import { chakra, useStyleConfig } from "@chakra-ui/vue-system";
import { filterUndefined } from "@chakra-ui/utils";
import { vueThemingProps } from "@chakra-ui/vue-utils";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CBadge = defineComponent({
  name: "CBadge",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    ...vueThemingProps
  },
  setup(props, {
    slots,
    attrs
  }) {
    const themingProps = computed(() => filterUndefined({
      colorScheme: props.colorScheme,
      variant: props.variant,
      size: props.size,
      styleConfig: props.styleConfig
    }));
    const styles = useStyleConfig("Badge", themingProps);
    return () => {
      return _createVNode(chakra.div, _mergeProps({
        "as": props.as,
        "__label": "badge",
        "__css": {
          display: "inline-block",
          whiteSpace: "nowrap",
          verticalAlign: "middle",
          ...styles.value
        }
      }, attrs), _isSlot(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

export {
  CBadge
};
